﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/e8357f27-944e-4481-8e3b-65ec2cdbaf05/098384bdee0436c7eee7565f4b98c674/dotnet-sdk-2.1.514-win-x86.exe'
$checksum   = 'c316516e9396eed2c9c034fe7996762773049a0eb0a1b0066311353101bb1774d3fb7e23b107b6090010e2dfd4f44ad130c5967e4979df7dc53b8728f405219a'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/6331b459-77f3-487a-b313-3d5062efeebe/fa2e1cb20a6e2c9a18e8f28a6fdb781c/dotnet-sdk-2.1.514-win-x64.exe'
$checksum64 = '948ae07d9ccc367e91c392343c3fb12d6401ac784b9966d3ba26e0b9ab88ed6d5f53b1ffce5c7aa694aa90a78a8e35f053666825620207a06ce114b0b45ed9a5'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
